Bug 2914 - RFT junit tests fail to execute
: RFT junit tests fail to execute
Status: RESOLVED FIXED
: RFT
RFT
: 3.9.5
: PC Linux
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-03-09 09:46 by
Modified: 2005-04-11 14:17 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-03-09 09:46:39
RFT junit tests fail to execute on Globus Toolkit 3.9.5 installation on RedHat 
AS xLinux platform.

Tests run 16, Errors 1, Failures 1.

Following are the errors shown in the tests reports.

--------------------------------------------------------------------------------
Name: testRepeatedlyStarted
Status: Error
Type: 
java.rmi.RemoteException: Error in start; nested exception is: 
java.rmi.RemoteException: Error in startnull; nested exception is:

AxisFault
faultCode: {http://schemas.xmlsoap.org/soap/envelope/}Server.userException
faultSubcode:
faultString: java.rmi.RemoteException: Error in start; nested exception is:
java.rmi.RemoteException: Error in startnull; nested exception is:

faultActor:
faultNode:
faultDetail:
{http://xml.apache.org/axis/}stackTrace:java.rmi.RemoteException: Error in 
start; nested exception is:
java.rmi.RemoteException: Error in startnull; nested exception is:

at org.globus.transfer.reliable.service.ReliableFileTransferImpl.start
(ReliableFileTransferImpl.java:108)
at sun.reflect.GeneratedMethodAccessor91.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke
(DelegatingMethodAccessorImpl.java(Compiled Code))
at org.apache.axis.providers.java.RPCProvider.invokeMethod(RPCProvider.java:384)
at org.globus.axis.providers.RPCProvider.invokeMethodSub(RPCProvider.java:104)
at org.globus.axis.providers.PrivilegedInvokeMethodAction.run
(PrivilegedInvokeMethodAction.java:39)
at java.security.AccessController.doPrivileged1(Native Method)
at java.security.AccessController.doPrivileged(AccessController.java(Compiled 
Code))
at javax.security.auth.Subject.doAs(Subject.java:554)
at org.globus.gsi.jaas.GlobusSubject.runAs(GlobusSubject.java:49)
at org.globus.gsi.jaas.JaasSubject.doAs(JaasSubject.java:84)
at org.globus.axis.providers.RPCProvider.invokeMethod(RPCProvider.java:94)
at org.apache.axis.providers.java.RPCProvider.processMessage
(RPCProvider.java:281)
at org.apache.axis.providers.java.JavaProvider.invoke(JavaProvider.java:319)
at org.apache.axis.strategies.InvocationStrategy.visit
(InvocationStrategy.java:32)
at org.apache.axis.SimpleChain.doVisiting(SimpleChain.java(Compiled Code))
at org.apache.axis.SimpleChain.invoke(SimpleChain.java:83)
at org.apache.axis.handlers.soap.SOAPService.invoke(SOAPService.java:450)
at org.apache.axis.server.AxisServer.invoke(AxisServer.java:285)
at org.globus.wsrf.container.ServiceThread.doPost(ServiceThread.java:647)
at org.globus.wsrf.container.ServiceThread.process(ServiceThread.java:378)
at org.globus.wsrf.container.GSIServiceThread.process(GSIServiceThread.java:124)
at org.globus.wsrf.container.ServiceThread.run(ServiceThread.java:281)
Caused by: java.rmi.RemoteException: Error in startnull; nested exception is:

at org.globus.transfer.reliable.service.ReliableFileTransferResource.start
(ReliableFileTransferResource.java:502)
at org.globus.transfer.reliable.service.ReliableFileTransferImpl.start
(ReliableFileTransferImpl.java:100)
... 23 more
Caused by:
at org.globus.transfer.reliable.service.ReliableFileTransferResource.start
(ReliableFileTransferResource.java:498)
... 24 more

{http://xml.apache.org/axis/}hostname:ibmgrid1.in.ibm.com

java.rmi.RemoteException: Error in start; nested exception is:
java.rmi.RemoteException: Error in startnull; nested exception is:

at org.apache.axis.message.SOAPFaultBuilder.createFault
(SOAPFaultBuilder.java:221)
at org.apache.axis.message.SOAPFaultBuilder.endElement
(SOAPFaultBuilder.java:128)
at org.apache.axis.encoding.DeserializationContext.endElement
(DeserializationContext.java:1087)
at org.apache.xerces.parsers.AbstractSAXParser.endElement(Unknown Source)
at org.apache.xerces.impl.XMLNSDocumentScannerImpl.scanEndElement(Unknown 
Source)
at 
org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.
dispatch(Unknown Source)
at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown 
Source)
at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
at javax.xml.parsers.SAXParser.parse(Unknown Source)
at org.apache.axis.encoding.DeserializationContext.parse
(DeserializationContext.java:227)
at org.apache.axis.SOAPPart.getAsSOAPEnvelope(SOAPPart.java:645)
at org.apache.axis.Message.getSOAPEnvelope(Message.java:424)
at 
org.apache.axis.message.addressing.handler.AddressingHandler.processClientRespon
se(AddressingHandler.java:305)
at org.apache.axis.message.addressing.handler.AddressingHandler.invoke
(AddressingHandler.java:110)
at org.apache.axis.strategies.InvocationStrategy.visit
(InvocationStrategy.java:32)
at org.apache.axis.SimpleChain.doVisiting(SimpleChain.java:118)
at org.apache.axis.SimpleChain.invoke(SimpleChain.java:83)
at org.apache.axis.client.AxisClient.invoke(AxisClient.java:190)
at org.apache.axis.client.Call.invokeEngine(Call.java:2726)
at org.apache.axis.client.Call.invoke(Call.java:2709)
at org.apache.axis.client.Call.invoke(Call.java:2385)
at org.apache.axis.client.Call.invoke(Call.java:2308)
at org.apache.axis.client.Call.invoke(Call.java:1765)
at 
org.globus.rft.generated.bindings.ReliableFileTransferPortTypeSOAPBindingStub.st
art(ReliableFileTransferPortTypeSOAPBindingStub.java:1081)
at org.globus.transfer.reliable.service.test.RFTTest.testRepeatedlyStarted
(RFTTest.java:181)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:79)
at sun.reflect.DelegatingMethodAccessorImpl.invoke
(DelegatingMethodAccessorImpl.java:41)
at org.globus.transfer.reliable.service.test.PackageTests.run
(PackageTests.java:36)
--------------------------------------------------------------------------------
Name: testCancel
Status: Failure
Type: N/A
junit.framework.AssertionFailedError
at org.globus.transfer.reliable.service.test.RFTTest.testCancel
(RFTTest.java:279)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:79)
at sun.reflect.DelegatingMethodAccessorImpl.invoke
(DelegatingMethodAccessorImpl.java:41)
at org.globus.transfer.reliable.service.test.PackageTests.run
(PackageTests.java:36)
--------------------------------------------------------------------------------
------- Comment #1 From 2005-03-09 09:50:48 -------
This is a bug in test which tests RepeatedlyStartedFault. I fixed the unit test
in trunk to report a success 
when a fault in thrown.
------- Comment #2 From 2005-03-30 02:39:49 -------
I checked out ws-transfer source from CVS and executed RFT junit tests on the 
newly built source to verify if this bug is resolved. 
I find that there are still problems in the test execution. Out of 17 tests run 
2 tests fail (1 Error and 1 Failure). junit testRepeatedlyStarted is passing 
this time, which was a failure last time.  junit testGetStatus is failing, 
which was passing last time. junit testCancel continues to fail. 
The details of the errors are given below

1. testGetStatus	Error	java.rmi.RemoteException: Unable to get Status
AxisFault
faultCode: {http://schemas.xmlsoap.org/soap/envelope/}Server.userException
faultSubcode: 
faultString: java.rmi.RemoteException: Unable to get Status
faultActor: 
faultNode: 
faultDetail:
....
....

2. testCancel	Failure		N/A
junit.framework.AssertionFailedError
at org.globus.transfer.reliable.service.test.RFTTest.testCancel
(RFTTest.java:286)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:79)
at sun.reflect.DelegatingMethodAccessorImpl.invoke
(DelegatingMethodAccessorImpl.java:41)
at org.globus.transfer.reliable.service.test.PackageTests.run
(PackageTests.java:36)

------- Comment #3 From 2005-03-30 14:35:17 -------
Can you  turn on debug for RFT package and send me container logs ? Did you
edit test.properties and 
*.xfr files in share dir as sourceULR getStatus uses is hard coded right now.
All tests work fine for me 
------- Comment #4 From 2005-03-31 01:27:02 -------
Yes, I have proper entries in the test.properties and share/*.xfr files. I 
thought it would be better to send the container log in a separate mail as it 
would be too cumbersome to paste the log contents here. I noticed that the path 
to the xfr files are hard coded in the RFTTest.java, so I was executing the 
tests directly from the ../source-tree/ws-transfer/.../unit directory using 
build.xml, though I got the same results by running the tests using 
runtests.xml. 
------- Comment #5 From 2005-03-31 09:56:48 -------
From Ravi:
please attach the container log to the bug.
------- Comment #6 From 2005-04-01 02:19:30 -------
Well! Here I can only upload data up to 65000 characters only, so I've tried to 
attach only the error details of the container log. Container log got by 
enabling transfer debug on.

2005-03-31 00:51:03,173 DEBUG factory.ReliableFileTransferFactoryService 
[main,<init>:130] Registration to MDS suppressed due to configuration
2005-03-31 00:51:03,613 DEBUG factory.ReliableFileTransferFactoryService 
[main,<init>:130] Registration to MDS suppressed due to configuration
2005-03-31 00:51:03,921 DEBUG service.ReliableFileTransferImpl 
[main,<init>:353] maximum active allowed:100
2005-03-31 00:51:03,941 DEBUG database.RFTDatabaseSetup 
[main,setupDBConnection:160] Setting up db : maximum active connection is 20
2005-03-31 00:51:03,942 DEBUG database.RFTDatabaseSetup 
[main,setupDBConnection:162] Setting up db : maximum idle connection is 10
2005-03-31 00:51:03,943 DEBUG database.RFTDatabaseSetup 
[main,setupDBConnection:164] 
dbOptionsjdbc:postgresql://127.0.0.1:5432/rftDatabase postgres postgres 
org.postgresql.Driver 20 1 -1 10
2005-03-31 00:51:04,041 DEBUG database.RFTDatabaseSetup 
[main,getDBConnection:202] Added 1 active 1 idle 0
2005-03-31 00:51:04,645 DEBUG service.ReliableFileTransferHome 
[main,initialize:58] Loading the RFT home's list of resource keys
2005-03-31 00:51:04,652 DEBUG database.RFTDatabaseSetup 
[main,getDBConnection:202] Added 2 active 2 idle 0
2005-03-31 00:51:04,666 DEBUG database.RFTDatabaseSetup 
[main,returnDBConnection:259] Reduced 1 active 1 idle 1
2005-03-31 00:51:04,667 DEBUG database.RFTDatabaseSetup 
[main,getDBConnection:202] Added 2 active 2 idle 0
2005-03-31 00:51:04,688 DEBUG database.RFTDatabaseSetup 
[main,returnDBConnection:259] Reduced 1 active 1 idle 1
2005-03-31 00:51:04,690 DEBUG service.ReliableFileTransferHome 
[main,initialize:65] Number of RFT resources to be recovered:1
2005-03-31 00:51:04,692 DEBUG service.ReliableFileTransferResource 
[main,load:670] Recovering RFT resource with id: 597
2005-03-31 00:51:04,696 DEBUG database.RFTDatabaseSetup 
[main,getDBConnection:202] Added 2 active 2 idle 0
2005-03-31 00:51:04,698 DEBUG database.RFTDatabaseSetup 
[main,returnDBConnection:259] Reduced 1 active 1 idle 1
2005-03-31 00:51:04,701 DEBUG database.RFTDatabaseSetup 
[main,getDBConnection:202] Added 2 active 2 idle 0
2005-03-31 00:51:04,709 DEBUG database.RFTDatabaseSetup 
[main,getDBConnection:202] Added 3 active 3 idle 0
2005-03-31 00:51:04,715 DEBUG database.RFTDatabaseSetup 
[main,getDBConnection:202] Added 4 active 4 idle 0
2005-03-31 00:51:04,719 DEBUG database.RFTDatabaseSetup 
[main,returnDBConnection:259] Reduced 3 active 3 idle 1
2005-03-31 00:51:04,723 DEBUG database.RFTDatabaseSetup 
[main,returnDBConnection:259] Reduced 2 active 2 idle 2
2005-03-31 00:51:04,724 DEBUG database.RFTDatabaseSetup 
[main,getDBConnection:202] Added 3 active 3 idle 1
2005-03-31 00:51:04,727 DEBUG database.RFTDatabaseSetup 
[main,returnDBConnection:259] Reduced 2 active 2 idle 2
2005-03-31 00:51:04,728 DEBUG database.RFTDatabaseSetup 
[main,returnDBConnection:259] Reduced 1 active 1 idle 3
2005-03-31 00:51:04,823 DEBUG service.ReliableFileTransferResource 
[main,loadSubscribers:334] Loading rft subscribers 
from :
/home/ibmgrid/.globus/persisted/127.0.0.1/ReliableFileTransferResource/rf
t-subscriptions-597.tmp
2005-03-31 00:51:04,871 DEBUG database.RFTDatabaseSetup 
[main,getDBConnection:202] Added 2 active 2 idle 2
2005-03-31 00:51:04,876 DEBUG database.RFTDatabaseSetup 
[main,returnDBConnection:259] Reduced 1 active 1 idle 3
2005-03-31 00:51:04,878 DEBUG database.RFTDatabaseSetup 
[main,getDBConnection:202] Added 2 active 2 idle 2
2005-03-31 00:51:04,993 DEBUG database.RFTDatabaseSetup 
[main,returnDBConnection:259] Reduced 1 active 1 idle 3
Starting SOAP server at: https://127.0.0.1:8443/wsrf/services/ 
With the following services:

[1]: https://127.0.0.1:8443/wsrf/services/TriggerFactoryService
[2]: https://127.0.0.1:8443/wsrf/services/DelegationTestService
[3]: https://127.0.0.1:8443/wsrf/services/SecureCounterService
[4]: https://127.0.0.1:8443/wsrf/services/IndexServiceEntry
[5]: https://127.0.0.1:8443/wsrf/services/DelegationService
[6]: https://127.0.0.1:8443/wsrf/services/InMemoryServiceGroupFactory
[7]: https://127.0.0.1:8443/wsrf/services/mds/test/execsource/IndexService
[8]: https://127.0.0.1:8443/wsrf/services/mds/test/subsource/IndexService
[9]: https://127.0.0.1:8443/wsrf/services/SubscriptionManagerService
[10]: https://127.0.0.1:8443/wsrf/services/TestServiceWrongWSDL
[11]: https://127.0.0.1:8443/wsrf/services/SampleAuthzService
[12]: https://127.0.0.1:8443/wsrf/services/WidgetNotificationService
[13]: https://127.0.0.1:8443/wsrf/services/AdminService
[14]: https://127.0.0.1:8443/wsrf/services/DefaultIndexServiceEntry
[15]: https://127.0.0.1:8443/wsrf/services/CounterService
[16]: https://127.0.0.1:8443/wsrf/services/TestService
[17]: https://127.0.0.1:8443/wsrf/services/InMemoryServiceGroup
[18]: https://127.0.0.1:8443/wsrf/services/SecurityTestService
[19]: https://127.0.0.1:8443/wsrf/services/ContainerRegistryEntryService
[20]: https://127.0.0.1:8443/wsrf/services/NotificationConsumerFactoryService
[21]: https://127.0.0.1:8443/wsrf/services/TestServiceRequest
[22]: https://127.0.0.1:8443/wsrf/services/IndexFactoryService
[23]: https://127.0.0.1:8443/wsrf/services/ReliableFileTransferService
[24]: https://127.0.0.1:8443/wsrf/services/mds/test/subsource/IndexServiceEntry
[25]: https://127.0.0.1:8443/wsrf/services/Version
[26]: https://127.0.0.1:8443/wsrf/services/NotificationConsumerService
[27]: https://127.0.0.1:8443/wsrf/services/IndexService
[28]: https://127.0.0.1:8443/wsrf/services/NotificationTestService
[29]: https://127.0.0.1:8443/wsrf/services/ReliableFileTransferFactoryService
[30]: https://127.0.0.1:8443/wsrf/services/DefaultTriggerServiceEntry
[31]: https://127.0.0.1:8443/wsrf/services/TriggerServiceEntry
[32]: https://127.0.0.1:8443/wsrf/services/PersistenceTestSubscriptionManager
[33]:
https://127.0.0.1:8443/wsrf/services/mds/test/execsource/IndexServiceEntry
[34]: https://127.0.0.1:8443/wsrf/services/DefaultTriggerService
[35]: https://127.0.0.1:8443/wsrf/services/TriggerService
[36]: https://127.0.0.1:8443/wsrf/services/gsi/AuthenticationService
[37]: https://127.0.0.1:8443/wsrf/services/ManagedMultiJobService
[38]: https://127.0.0.1:8443/wsrf/services/RendezvousFactoryService
[39]: https://127.0.0.1:8443/wsrf/services/WidgetService
[40]: https://127.0.0.1:8443/wsrf/services/ManagementService
[41]: https://127.0.0.1:8443/wsrf/services/ManagedExecutableJobService
[42]: https://127.0.0.1:8443/wsrf/services/InMemoryServiceGroupEntry
[43]: https://127.0.0.1:8443/wsrf/services/AuthzCalloutTestService
[44]: https://127.0.0.1:8443/wsrf/services/DelegationFactoryService
[45]: https://127.0.0.1:8443/wsrf/services/DefaultIndexService
[46]: https://127.0.0.1:8443/wsrf/services/ShutdownService
[47]: https://127.0.0.1:8443/wsrf/services/ContainerRegistryService
[48]: https://127.0.0.1:8443/wsrf/services/TestAuthzService
[49]: https://127.0.0.1:8443/wsrf/services/CASService
[50]: https://127.0.0.1:8443/wsrf/services/ManagedJobFactoryService
....
....
2005-03-31 00:53:04,833 INFO  authorization.ServiceAuthorizationChain [Thread-
13,authorize:281] Authorized "/O=Grid/OU=GlobusTest/OU=simpleCA-
ibmgrid1.in.ibm.com/CN=ibmgrid" to 
invoke "{http://www.globus.org/namespaces/2004/10/rft}start".
2005-03-31 00:53:04,835 DEBUG service.ReliableFileTransferImpl [Thread-
13,start:103] Start called for : 614
2005-03-31 00:53:04,835 ERROR service.ReliableFileTransferResource [Thread-
13,start:515] RepeatedlyStartedFault for 614
2005-03-31 00:53:04,840 ERROR service.ReliableFileTransferImpl [Thread-
13,start:116] Error in start
java.rmi.RemoteException: Error in startnull; nested exception is: 

    at 
org.globus.transfer.reliable.service.ReliableFileTransferResource.start
(ReliableFileTransferResource.java:523)
    at org.globus.transfer.reliable.service.ReliableFileTransferImpl.start
(ReliableFileTransferImpl.java:105)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke
(NativeMethodAccessorImpl.java:79)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke
(DelegatingMethodAccessorImpl.java(Compiled Code))
    at java.lang.reflect.Method.invoke(Method.java(Compiled Code))
    at org.apache.axis.providers.java.RPCProvider.invokeMethod
(RPCProvider.java:384)
    at org.globus.axis.providers.RPCProvider.invokeMethodSub
(RPCProvider.java:104)
    at org.globus.axis.providers.PrivilegedInvokeMethodAction.run
(PrivilegedInvokeMethodAction.java:39)
    at java.security.AccessController.doPrivileged1(Native Method)
    at java.security.AccessController.doPrivileged(AccessController.java
(Compiled Code))
    at javax.security.auth.Subject.doAs(Subject.java:554)
    at org.globus.gsi.jaas.GlobusSubject.runAs(GlobusSubject.java:49)
    at org.globus.gsi.jaas.JaasSubject.doAs(JaasSubject.java:84)
    at org.globus.axis.providers.RPCProvider.invokeMethod
(RPCProvider.java:94)
    at org.apache.axis.providers.java.RPCProvider.processMessage
(RPCProvider.java:281)
    at org.apache.axis.providers.java.JavaProvider.invoke
(JavaProvider.java:319)
    at org.apache.axis.strategies.InvocationStrategy.visit
(InvocationStrategy.java:32)
    at org.apache.axis.SimpleChain.doVisiting(SimpleChain.java:118)
    at org.apache.axis.SimpleChain.invoke(SimpleChain.java:83)
    at org.apache.axis.handlers.soap.SOAPService.invoke
(SOAPService.java:450)
    at org.apache.axis.server.AxisServer.invoke(AxisServer.java:285)
    at org.globus.wsrf.container.ServiceThread.doPost
(ServiceThread.java:647)
    at org.globus.wsrf.container.ServiceThread.process
(ServiceThread.java:378)
    at org.globus.wsrf.container.GSIServiceThread.process
(GSIServiceThread.java:124)
    at org.globus.wsrf.container.ServiceThread.run(ServiceThread.java:281)
Caused by: 
    at 
org.globus.transfer.reliable.service.ReliableFileTransferResource.start
(ReliableFileTransferResource.java:516)
    ... 25 more
2005-03-31 00:53:06,111 DEBUG database.RFTDatabaseSetup [Thread-
24,getDBConnection:202] Added 2 active 2 idle 2

....
....

2005-03-31 00:55:56,289 DEBUG database.RFTDatabaseSetup [Thread-
87,returnDBConnection:259] Reduced 1 active 1 idle 4
2005-03-31 00:55:56,295 ERROR service.TransferClient [Thread-
87,updatePermissions:616] Error updating Permissions of a file/tmp/rftTest.tmp
org.globus.ftp.exception.ServerException: Server refused performing the 
request. Custom message: Server refused MLST command (error code 1) [Nested 
exception message:  Custom message: Unexpected reply: 500-Command failed : 
System error in stat: No such file or directory
500-A system call failed: No such file or directory
500 End.].  Nested exception is 
org.globus.ftp.exception.UnexpectedReplyCodeException:  Custom message: 
Unexpected reply: 500-Command failed : System error in stat: No such file or 
directory
500-A system call failed: No such file or directory
500 End.
    at org.globus.ftp.vanilla.FTPControlChannel.execute
(FTPControlChannel.java:310)
    at org.globus.ftp.FTPClient.mlst(FTPClient.java:439)
    at org.globus.transfer.reliable.service.TransferClient.updatePermissions
(TransferClient.java:610)
    at org.globus.transfer.reliable.service.TransferClient.transfer
(TransferClient.java:667)
    at org.globus.transfer.reliable.service.TransferWork.run
(TransferWork.java:620)
    at org.globus.wsrf.impl.work.WorkManagerImpl$WorkWrapper.run
(WorkManagerImpl.java:342)
    at java.lang.Thread.run(Thread.java:568)
2005-03-31 00:55:56,296 ERROR service.TransferWork [Thread-87,run:628] Terminal 
transfer error:
Error updating Permissions of a file/tmp/rftTest.tmp [Caused by: Server refused 
performing the request. Custom message: Server refused MLST command (error code 
1) [Nested exception message:  Custom message: Unexpected reply: 500-Command 
failed : System error in stat: No such file or directory
500-A system call failed: No such file or directory
500 End.]]
Error updating Permissions of a file/tmp/rftTest.tmp
. Caused by 
org.globus.ftp.exception.ServerException: Server refused performing the 
request. Custom message: Server refused MLST command (error code 1) [Nested 
exception message:  Custom message: Unexpected reply: 500-Command failed : 
System error in stat: No such file or directory
500-A system call failed: No such file or directory
500 End.].  Nested exception is 
org.globus.ftp.exception.UnexpectedReplyCodeException:  Custom message: 
Unexpected reply: 500-Command failed : System error in stat: No such file or 
directory
500-A system call failed: No such file or directory
500 End.
    at org.globus.ftp.vanilla.FTPControlChannel.execute
(FTPControlChannel.java:310)
    at org.globus.ftp.FTPClient.mlst(FTPClient.java:439)
    at org.globus.transfer.reliable.service.TransferClient.updatePermissions
(TransferClient.java:610)
    at org.globus.transfer.reliable.service.TransferClient.transfer
(TransferClient.java:667)
    at org.globus.transfer.reliable.service.TransferWork.run
(TransferWork.java:620)
    at org.globus.wsrf.impl.work.WorkManagerImpl$WorkWrapper.run
(WorkManagerImpl.java:342)
    at java.lang.Thread.run(Thread.java:568)
2005-03-31 00:55:56,308 DEBUG service.TransferWork [Thread-
87,processStates:422] in process states 2

....
....

2005-03-31 00:55:56,339 DEBUG database.RFTDatabaseSetup [Thread-
87,returnDBConnection:259] Reduced 1 active 1 idle 4
2005-03-31 00:55:56,340 ERROR service.TransferWork [Thread-81,run:628] Terminal 
transfer error:
Terminal transfer error:
Server refused performing the request. Custom message:  (error code 1) [Nested 
exception message:  Custom message: Unexpected reply: 500-Command failed. : 
globus_l_gfs_file_open failed.
500-globus_xio: Unable to open file /tmp/rftTest.tmp
500-globus_xio: System error in open: No such file or directory
500-globus_xio: A system call failed: No such file or directory
500 End.] [Caused by: Server refused performing the request. Custom message:  
(error code 1) [Nested exception message:  Custom message: Unexpected reply: 
500-Command failed. : globus_l_gfs_file_open failed.
500-globus_xio: Unable to open file /tmp/rftTest.tmp
500-globus_xio: System error in open: No such file or directory
500-globus_xio: A system call failed: No such file or directory
500 End.]]
Terminal transfer error:
Server refused performing the request. Custom message:  (error code 1) [Nested 
exception message:  Custom message: Unexpected reply: 500-Command failed. : 
globus_l_gfs_file_open failed.
500-globus_xio: Unable to open file /tmp/rftTest.tmp
500-globus_xio: System error in open: No such file or directory
500-globus_xio: A system call failed: No such file or directory
500 End.]
. Caused by 
org.globus.ftp.exception.ServerException: Server refused performing the 
request. Custom message:  (error code 1) [Nested exception message:  Custom 
message: Unexpected reply: 500-Command failed. : globus_l_gfs_file_open failed.
500-globus_xio: Unable to open file /tmp/rftTest.tmp
500-globus_xio: System error in open: No such file or directory
500-globus_xio: A system call failed: No such file or directory
500 End.].  Nested exception is 
org.globus.ftp.exception.UnexpectedReplyCodeException:  Custom message: 
Unexpected reply: 500-Command failed. : globus_l_gfs_file_open failed.
500-globus_xio: Unable to open file /tmp/rftTest.tmp
500-globus_xio: System error in open: No such file or directory
500-globus_xio: A system call failed: No such file or directory
500 End.
    at org.globus.ftp.vanilla.TransferMonitor.run(TransferMonitor.java:167)
2005-03-31 00:55:56,344 DEBUG service.TransferWork [Thread-
81,processStates:422] in process states 2
....
....

2005-03-31 00:55:56,361 DEBUG database.RFTDatabaseSetup [Thread-
81,returnDBConnection:259] Reduced 1 active 1 idle 4
2005-03-31 00:55:56,372 ERROR service.TransferClient [Thread-
82,updatePermissions:616] Error updating Permissions of a file/tmp/rftTest.tmp
org.globus.ftp.exception.ServerException: Server refused performing the 
request. Custom message: Server refused MLST command (error code 1) [Nested 
exception message:  Custom message: Unexpected reply: 500-Command failed : 
System error in stat: No such file or directory
500-A system call failed: No such file or directory
500 End.].  Nested exception is 
org.globus.ftp.exception.UnexpectedReplyCodeException:  Custom message: 
Unexpected reply: 500-Command failed : System error in stat: No such file or 
directory
500-A system call failed: No such file or directory
500 End.
    at org.globus.ftp.vanilla.FTPControlChannel.execute
(FTPControlChannel.java:310)
    at org.globus.ftp.FTPClient.mlst(FTPClient.java:439)
    at org.globus.transfer.reliable.service.TransferClient.updatePermissions
(TransferClient.java:610)
    at org.globus.transfer.reliable.service.TransferClient.transfer
(TransferClient.java:667)
    at org.globus.transfer.reliable.service.TransferWork.run
(TransferWork.java:620)
    at org.globus.wsrf.impl.work.WorkManagerImpl$WorkWrapper.run
(WorkManagerImpl.java:342)
    at java.lang.Thread.run(Thread.java:568)
2005-03-31 00:55:56,373 ERROR service.TransferWork [Thread-82,run:628] Terminal 
transfer error:
Error updating Permissions of a file/tmp/rftTest.tmp [Caused by: Server refused 
performing the request. Custom message: Server refused MLST command (error code 
1) [Nested exception message:  Custom message: Unexpected reply: 500-Command 
failed : System error in stat: No such file or directory
500-A system call failed: No such file or directory
500 End.]]
Error updating Permissions of a file/tmp/rftTest.tmp
. Caused by 
org.globus.ftp.exception.ServerException: Server refused performing the 
request. Custom message: Server refused MLST command (error code 1) [Nested 
exception message:  Custom message: Unexpected reply: 500-Command failed : 
System error in stat: No such file or directory
500-A system call failed: No such file or directory
500 End.].  Nested exception is 
org.globus.ftp.exception.UnexpectedReplyCodeException:  Custom message: 
Unexpected reply: 500-Command failed : System error in stat: No such file or 
directory
500-A system call failed: No such file or directory
500 End.
    at org.globus.ftp.vanilla.FTPControlChannel.execute
(FTPControlChannel.java:310)
    at org.globus.ftp.FTPClient.mlst(FTPClient.java:439)
    at org.globus.transfer.reliable.service.TransferClient.updatePermissions
(TransferClient.java:610)
    at org.globus.transfer.reliable.service.TransferClient.transfer
(TransferClient.java:667)
    at org.globus.transfer.reliable.service.TransferWork.run
(TransferWork.java:620)
    at org.globus.wsrf.impl.work.WorkManagerImpl$WorkWrapper.run
(WorkManagerImpl.java:342)
    at java.lang.Thread.run(Thread.java:568)
2005-03-31 00:55:56,377 DEBUG service.TransferWork [Thread-
82,processStates:422] in process states 2
....
....
2005-03-31 00:55:56,582 DEBUG service.RFTResourceManager [Thread-
1,printOverallStatus:213] OverallStatus: 1:3:3:0:32005-03-31 00:55:56,685 ERROR 
service.TransferClient [Thread-83,updatePermissions:616] Error updating 
Permissions of a file/tmp/rftTest.tmp
org.globus.ftp.exception.ServerException: Server refused performing the 
request. Custom message: Server refused MLST command (error code 1) [Nested 
exception message:  Custom message: Unexpected reply: 500-Command failed : 
System error in stat: No such file or directory
500-A system call failed: No such file or directory
500 End.].  Nested exception is 
org.globus.ftp.exception.UnexpectedReplyCodeException:  Custom message: 
Unexpected reply: 500-Command failed : System error in stat: No such file or 
directory
500-A system call failed: No such file or directory
500 End.
    at org.globus.ftp.vanilla.FTPControlChannel.execute
(FTPControlChannel.java:310)
    at org.globus.ftp.FTPClient.mlst(FTPClient.java:439)
    at org.globus.transfer.reliable.service.TransferClient.updatePermissions
(TransferClient.java:610)
    at org.globus.transfer.reliable.service.TransferClient.transfer
(TransferClient.java:667)
    at org.globus.transfer.reliable.service.TransferWork.run
(TransferWork.java:620)
    at org.globus.wsrf.impl.work.WorkManagerImpl$WorkWrapper.run
(WorkManagerImpl.java:342)
    at java.lang.Thread.run(Thread.java:568)
2005-03-31 00:55:56,685 ERROR service.TransferWork [Thread-83,run:628] Terminal 
transfer error:
Error updating Permissions of a file/tmp/rftTest.tmp [Caused by: Server refused 
performing the request. Custom message: Server refused MLST command (error code 
1) [Nested exception message:  Custom message: Unexpected reply: 500-Command 
failed : System error in stat: No such file or directory
500-A system call failed: No such file or directory
500 End.]]
Error updating Permissions of a file/tmp/rftTest.tmp
. Caused by 
org.globus.ftp.exception.ServerException: Server refused performing the 
request. Custom message: Server refused MLST command (error code 1) [Nested 
exception message:  Custom message: Unexpected reply: 500-Command failed : 
System error in stat: No such file or directory
500-A system call failed: No such file or directory
500 End.].  Nested exception is 
org.globus.ftp.exception.UnexpectedReplyCodeException:  Custom message: 
Unexpected reply: 500-Command failed : System error in stat: No such file or 
directory
500-A system call failed: No such file or directory
500 End.
    at org.globus.ftp.vanilla.FTPControlChannel.execute
(FTPControlChannel.java:310)
    at org.globus.ftp.FTPClient.mlst(FTPClient.java:439)
    at org.globus.transfer.reliable.service.TransferClient.updatePermissions
(TransferClient.java:610)
    at org.globus.transfer.reliable.service.TransferClient.transfer
(TransferClient.java:667)
    at org.globus.transfer.reliable.service.TransferWork.run
(TransferWork.java:620)
    at org.globus.wsrf.impl.work.WorkManagerImpl$WorkWrapper.run
(WorkManagerImpl.java:342)
    at java.lang.Thread.run(Thread.java:568)
2005-03-31 00:55:56,755 DEBUG service.TransferWork [Thread-
83,processStates:422] in process states 2
....
....

2005-03-31 00:55:57,190 DEBUG database.RFTDatabaseSetup [Thread-
84,returnDBConnection:259] Reduced 1 active 1 idle 4
2005-03-31 00:55:57,341 ERROR service.TransferClient [Thread-
84,updatePermissions:616] Error updating Permissions of a file/tmp/rftTest.tmp
org.globus.ftp.exception.ServerException: Server refused performing the 
request. Custom message: Server refused MLST command (error code 1) [Nested 
exception message:  Custom message: Unexpected reply: 500-Command failed : 
System error in stat: No such file or directory
500-A system call failed: No such file or directory
500 End.].  Nested exception is 
org.globus.ftp.exception.UnexpectedReplyCodeException:  Custom message: 
Unexpected reply: 500-Command failed : System error in stat: No such file or 
directory
500-A system call failed: No such file or directory
500 End.
    at org.globus.ftp.vanilla.FTPControlChannel.execute
(FTPControlChannel.java:310)
    at org.globus.ftp.FTPClient.mlst(FTPClient.java:439)
    at org.globus.transfer.reliable.service.TransferClient.updatePermissions
(TransferClient.java:610)
    at org.globus.transfer.reliable.service.TransferClient.transfer
(TransferClient.java:667)
    at org.globus.transfer.reliable.service.TransferWork.run
(TransferWork.java:620)
    at org.globus.wsrf.impl.work.WorkManagerImpl$WorkWrapper.run
(WorkManagerImpl.java:342)
    at java.lang.Thread.run(Thread.java:568)
2005-03-31 00:55:57,341 ERROR service.TransferWork [Thread-84,run:628] Terminal 
transfer error:
Error updating Permissions of a file/tmp/rftTest.tmp [Caused by: Server refused 
performing the request. Custom message: Server refused MLST command (error code 
1) [Nested exception message:  Custom message: Unexpected reply: 500-Command 
failed : System error in stat: No such file or directory
500-A system call failed: No such file or directory
500 End.]]
Error updating Permissions of a file/tmp/rftTest.tmp
. Caused by 
org.globus.ftp.exception.ServerException: Server refused performing the 
request. Custom message: Server refused MLST command (error code 1) [Nested 
exception message:  Custom message: Unexpected reply: 500-Command failed : 
System error in stat: No such file or directory
500-A system call failed: No such file or directory
500 End.].  Nested exception is 
org.globus.ftp.exception.UnexpectedReplyCodeException:  Custom message: 
Unexpected reply: 500-Command failed : System error in stat: No such file or 
directory
500-A system call failed: No such file or directory
500 End.
    at org.globus.ftp.vanilla.FTPControlChannel.execute
(FTPControlChannel.java:310)
    at org.globus.ftp.FTPClient.mlst(FTPClient.java:439)
    at org.globus.transfer.reliable.service.TransferClient.updatePermissions
(TransferClient.java:610)
    at org.globus.transfer.reliable.service.TransferClient.transfer
(TransferClient.java:667)
    at org.globus.transfer.reliable.service.TransferWork.run
(TransferWork.java:620)
    at org.globus.wsrf.impl.work.WorkManagerImpl$WorkWrapper.run
(WorkManagerImpl.java:342)
    at java.lang.Thread.run(Thread.java:568)
2005-03-31 00:55:57,347 DEBUG service.TransferWork [Thread-
84,processStates:422] in process states 2
....
....

2005-03-31 00:55:58,763 DEBUG database.RFTDatabaseSetup [Thread-
90,returnDBConnection:259] Reduced 1 active 1 idle 4
2005-03-31 00:55:58,807 ERROR service.TransferClient [Thread-
90,updatePermissions:616] Error updating Permissions of a file/tmp/rftTest.tmp
org.globus.ftp.exception.ServerException: Server refused performing the 
request. Custom message: Server refused MLST command (error code 1) [Nested 
exception message:  Custom message: Unexpected reply: 500-Command failed : 
System error in stat: No such file or directory
500-A system call failed: No such file or directory
500 End.].  Nested exception is 
org.globus.ftp.exception.UnexpectedReplyCodeException:  Custom message: 
Unexpected reply: 500-Command failed : System error in stat: No such file or 
directory
500-A system call failed: No such file or directory
500 End.
    at org.globus.ftp.vanilla.FTPControlChannel.execute
(FTPControlChannel.java:310)
    at org.globus.ftp.FTPClient.mlst(FTPClient.java:439)
    at org.globus.transfer.reliable.service.TransferClient.updatePermissions
(TransferClient.java:610)
    at org.globus.transfer.reliable.service.TransferClient.transfer
(TransferClient.java:667)
    at org.globus.transfer.reliable.service.TransferWork.run
(TransferWork.java:620)
    at org.globus.wsrf.impl.work.WorkManagerImpl$WorkWrapper.run
(WorkManagerImpl.java:342)
    at java.lang.Thread.run(Thread.java:568)
2005-03-31 00:55:58,807 ERROR service.TransferWork [Thread-90,run:628] Terminal 
transfer error:
Error updating Permissions of a file/tmp/rftTest.tmp [Caused by: Server refused 
performing the request. Custom message: Server refused MLST command (error code 
1) [Nested exception message:  Custom message: Unexpected reply: 500-Command 
failed : System error in stat: No such file or directory
500-A system call failed: No such file or directory
500 End.]]
Error updating Permissions of a file/tmp/rftTest.tmp
. Caused by 
org.globus.ftp.exception.ServerException: Server refused performing the 
request. Custom message: Server refused MLST command (error code 1) [Nested 
exception message:  Custom message: Unexpected reply: 500-Command failed : 
System error in stat: No such file or directory
500-A system call failed: No such file or directory
500 End.].  Nested exception is 
org.globus.ftp.exception.UnexpectedReplyCodeException:  Custom message: 
Unexpected reply: 500-Command failed : System error in stat: No such file or 
directory
500-A system call failed: No such file or directory
500 End.
    at org.globus.ftp.vanilla.FTPControlChannel.execute
(FTPControlChannel.java:310)
    at org.globus.ftp.FTPClient.mlst(FTPClient.java:439)
    at org.globus.transfer.reliable.service.TransferClient.updatePermissions
(TransferClient.java:610)
    at org.globus.transfer.reliable.service.TransferClient.transfer
(TransferClient.java:667)
    at org.globus.transfer.reliable.service.TransferWork.run
(TransferWork.java:620)
    at org.globus.wsrf.impl.work.WorkManagerImpl$WorkWrapper.run
(WorkManagerImpl.java:342)
    at java.lang.Thread.run(Thread.java:568)
2005-03-31 00:55:58,811 DEBUG service.TransferWork [Thread-
90,processStates:422] in process states 2
....
....

2005-03-31 00:55:59,056 DEBUG database.RFTDatabaseSetup [Thread-
90,getDBConnection:202] Added 2 active 2 idle 3
2005-03-31 00:55:59,063 ERROR service.TransferClient [Thread-
91,updatePermissions:616] Error updating Permissions of a file/tmp/rftTest.tmp
org.globus.ftp.exception.ServerException: Server refused performing the 
request. Custom message: Server refused MLST command (error code 1) [Nested 
exception message:  Custom message: Unexpected reply: 500-Command failed : 
System error in stat: No such file or directory
500-A system call failed: No such file or directory
500 End.].  Nested exception is 
org.globus.ftp.exception.UnexpectedReplyCodeException:  Custom message: 
Unexpected reply: 500-Command failed : System error in stat: No such file or 
directory
500-A system call failed: No such file or directory
500 End.
    at org.globus.ftp.vanilla.FTPControlChannel.execute
(FTPControlChannel.java:310)
    at org.globus.ftp.FTPClient.mlst(FTPClient.java:439)
    at org.globus.transfer.reliable.service.TransferClient.updatePermissions
(TransferClient.java:610)
    at org.globus.transfer.reliable.service.TransferClient.transfer
(TransferClient.java:667)
    at org.globus.transfer.reliable.service.TransferWork.run
(TransferWork.java:620)
    at org.globus.wsrf.impl.work.WorkManagerImpl$WorkWrapper.run
(WorkManagerImpl.java:342)
    at java.lang.Thread.run(Thread.java:568)
2005-03-31 00:55:59,064 ERROR service.TransferWork [Thread-91,run:628] Terminal 
transfer error:
Error updating Permissions of a file/tmp/rftTest.tmp [Caused by: Server refused 
performing the request. Custom message: Server refused MLST command (error code 
1) [Nested exception message:  Custom message: Unexpected reply: 500-Command 
failed : System error in stat: No such file or directory
500-A system call failed: No such file or directory
500 End.]]
Error updating Permissions of a file/tmp/rftTest.tmp
. Caused by 
org.globus.ftp.exception.ServerException: Server refused performing the 
request. Custom message: Server refused MLST command (error code 1) [Nested 
exception message:  Custom message: Unexpected reply: 500-Command failed : 
System error in stat: No such file or directory
500-A system call failed: No such file or directory
500 End.].  Nested exception is 
org.globus.ftp.exception.UnexpectedReplyCodeException:  Custom message: 
Unexpected reply: 500-Command failed : System error in stat: No such file or 
directory
500-A system call failed: No such file or directory
500 End.
    at org.globus.ftp.vanilla.FTPControlChannel.execute
(FTPControlChannel.java:310)
    at org.globus.ftp.FTPClient.mlst(FTPClient.java:439)
    at org.globus.transfer.reliable.service.TransferClient.updatePermissions
(TransferClient.java:610)
    at org.globus.transfer.reliable.service.TransferClient.transfer
(TransferClient.java:667)
    at org.globus.transfer.reliable.service.TransferWork.run
(TransferWork.java:620)
    at org.globus.wsrf.impl.work.WorkManagerImpl$WorkWrapper.run
(WorkManagerImpl.java:342)
    at java.lang.Thread.run(Thread.java:568)
2005-03-31 00:55:59,068 DEBUG service.TransferWork [Thread-
91,processStates:422] in process states 2
....
....

2005-03-31 00:55:59,693 DEBUG database.RFTDatabaseSetup [Thread-
92,returnDBConnection:259] Reduced 1 active 1 idle 4
2005-03-31 00:55:59,731 ERROR service.TransferClient [Thread-
92,updatePermissions:616] Error updating Permissions of a file/tmp/rftTest.tmp
org.globus.ftp.exception.ServerException: Server refused performing the 
request. Custom message: Server refused MLST command (error code 1) [Nested 
exception message:  Custom message: Unexpected reply: 500-Command failed : 
System error in stat: No such file or directory
500-A system call failed: No such file or directory
500 End.].  Nested exception is 
org.globus.ftp.exception.UnexpectedReplyCodeException:  Custom message: 
Unexpected reply: 500-Command failed : System error in stat: No such file or 
directory
500-A system call failed: No such file or directory
500 End.
    at org.globus.ftp.vanilla.FTPControlChannel.execute
(FTPControlChannel.java:310)
    at org.globus.ftp.FTPClient.mlst(FTPClient.java:439)
    at org.globus.transfer.reliable.service.TransferClient.updatePermissions
(TransferClient.java:610)
    at org.globus.transfer.reliable.service.TransferClient.transfer
(TransferClient.java:667)
    at org.globus.transfer.reliable.service.TransferWork.run
(TransferWork.java:620)
    at org.globus.wsrf.impl.work.WorkManagerImpl$WorkWrapper.run
(WorkManagerImpl.java:342)
    at java.lang.Thread.run(Thread.java:568)
2005-03-31 00:55:59,732 ERROR service.TransferWork [Thread-92,run:628] Terminal 
transfer error:
Error updating Permissions of a file/tmp/rftTest.tmp [Caused by: Server refused 
performing the request. Custom message: Server refused MLST command (error code 
1) [Nested exception message:  Custom message: Unexpected reply: 500-Command 
failed : System error in stat: No such file or directory
500-A system call failed: No such file or directory
500 End.]]
Error updating Permissions of a file/tmp/rftTest.tmp
. Caused by 
org.globus.ftp.exception.ServerException: Server refused performing the 
request. Custom message: Server refused MLST command (error code 1) [Nested 
exception message:  Custom message: Unexpected reply: 500-Command failed : 
System error in stat: No such file or directory
500-A system call failed: No such file or directory
500 End.].  Nested exception is 
org.globus.ftp.exception.UnexpectedReplyCodeException:  Custom message: 
Unexpected reply: 500-Command failed : System error in stat: No such file or 
directory
500-A system call failed: No such file or directory
500 End.
    at org.globus.ftp.vanilla.FTPControlChannel.execute
(FTPControlChannel.java:310)
    at org.globus.ftp.FTPClient.mlst(FTPClient.java:439)
    at org.globus.transfer.reliable.service.TransferClient.updatePermissions
(TransferClient.java:610)
    at org.globus.transfer.reliable.service.TransferClient.transfer
(TransferClient.java:667)
    at org.globus.transfer.reliable.service.TransferWork.run
(TransferWork.java:620)
    at org.globus.wsrf.impl.work.WorkManagerImpl$WorkWrapper.run
(WorkManagerImpl.java:342)
    at java.lang.Thread.run(Thread.java:568)
2005-03-31 00:55:59,739 DEBUG service.TransferWork [Thread-
92,processStates:422] in process states 2
....
....

2005-03-31 00:55:59,893 DEBUG database.RFTDatabaseSetup [Thread-
93,returnDBConnection:259] Reduced 1 active 1 idle 4
2005-03-31 00:55:59,931 ERROR service.TransferClient [Thread-
93,updatePermissions:616] Error updating Permissions of a file/tmp/rftTest.tmp
org.globus.ftp.exception.ServerException: Server refused performing the 
request. Custom message: Server refused MLST command (error code 1) [Nested 
exception message:  Custom message: Unexpected reply: 500-Command failed : 
System error in stat: No such file or directory
500-A system call failed: No such file or directory
500 End.].  Nested exception is 
org.globus.ftp.exception.UnexpectedReplyCodeException:  Custom message: 
Unexpected reply: 500-Command failed : System error in stat: No such file or 
directory
500-A system call failed: No such file or directory
500 End.
    at org.globus.ftp.vanilla.FTPControlChannel.execute
(FTPControlChannel.java:310)
    at org.globus.ftp.FTPClient.mlst(FTPClient.java:439)
    at org.globus.transfer.reliable.service.TransferClient.updatePermissions
(TransferClient.java:610)
    at org.globus.transfer.reliable.service.TransferClient.transfer
(TransferClient.java:667)
    at org.globus.transfer.reliable.service.TransferWork.run
(TransferWork.java:620)
    at org.globus.wsrf.impl.work.WorkManagerImpl$WorkWrapper.run
(WorkManagerImpl.java:342)
    at java.lang.Thread.run(Thread.java:568)
2005-03-31 00:55:59,932 ERROR service.TransferWork [Thread-93,run:628] Terminal 
transfer error:
Error updating Permissions of a file/tmp/rftTest.tmp [Caused by: Server refused 
performing the request. Custom message: Server refused MLST command (error code 
1) [Nested exception message:  Custom message: Unexpected reply: 500-Command 
failed : System error in stat: No such file or directory
500-A system call failed: No such file or directory
500 End.]]Error updating Permissions of a file/tmp/rftTest.tmp
. Caused by 
org.globus.ftp.exception.ServerException: Server refused performing the 
request. Custom message: Server refused MLST command (error code 1) [Nested 
exception message:  Custom message: Unexpected reply: 500-Command failed : 
System error in stat: No such file or directory
500-A system call failed: No such file or directory
500 End.].  Nested exception is 
org.globus.ftp.exception.UnexpectedReplyCodeException:  Custom message: 
Unexpected reply: 500-Command failed : System error in stat: No such file or 
directory
500-A system call failed: No such file or directory
500 End.
    at org.globus.ftp.vanilla.FTPControlChannel.execute
(FTPControlChannel.java:310)
    at org.globus.ftp.FTPClient.mlst(FTPClient.java:439)
    at org.globus.transfer.reliable.service.TransferClient.updatePermissions
(TransferClient.java:610)
    at org.globus.transfer.reliable.service.TransferClient.transfer
(TransferClient.java:667)
    at org.globus.transfer.reliable.service.TransferWork.run
(TransferWork.java:620)
    at org.globus.wsrf.impl.work.WorkManagerImpl$WorkWrapper.run
(WorkManagerImpl.java:342)
    at java.lang.Thread.run(Thread.java:568)
2005-03-31 00:55:59,935 DEBUG service.TransferWork [Thread-
93,processStates:422] in process states 2
....
....

2005-03-31 00:56:09,181 ERROR service.URLExpander [Thread-
101,makeDirectory:249] This dir: 
 "anu" existsServer refused performing the request. Custom message: Server 
refused creating directory (error code 1) [Nested exception message:  Custom 
message: Unexpected reply: 500-Command failed : System error in mkdir: File 
exists
500-A system call failed: File exists
500 End.]
2005-03-31 00:56:09,220 DEBUG service.URLExpander [Thread-101,run:165] Size of 
SourceUrlsEx 1
2005-03-31 00:56:09,512 ERROR service.URLExpander [Thread-
101,makeDirectory:249] This dir: 
 "arun" existsServer refused performing the request. Custom message: Server 
refused creating directory (error code 1) [Nested exception message:  Custom 
message: Unexpected reply: 500-Command failed : System error in mkdir: File 
exists
500-A system call failed: File exists
500 End.]
2005-03-31 00:56:09,550 DEBUG service.URLExpander [Thread-101,run:165] Size of 
SourceUrlsEx 1
....
....

2005-03-31 00:58:57,676 DEBUG database.RFTDatabaseSetup [Thread-
199,returnDBConnection:259] Reduced 1 active 1 idle 5
2005-03-31 00:58:57,711 ERROR service.URLExpander [Thread-
199,makeDirectory:249] This dir: 
 "anu" existsServer refused performing the request. Custom message: Server 
refused creating directory (error code 1) [Nested exception message:  Custom 
message: Unexpected reply: 500-Command failed : System error in mkdir: File 
exists
500-A system call failed: File exists
500 End.]
2005-03-31 00:58:57,750 DEBUG service.URLExpander [Thread-199,run:165] Size of 
SourceUrlsEx 1
2005-03-31 00:58:58,041 ERROR service.URLExpander [Thread-
199,makeDirectory:249] This dir: 
 "arun" existsServer refused performing the request. Custom message: Server 
refused creating directory (error code 1) [Nested exception message:  Custom 
message: Unexpected reply: 500-Command failed : System error in mkdir: File 
exists
500-A system call failed: File exists
500 End.]
2005-03-31 00:58:58,080 DEBUG service.URLExpander [Thread-199,run:165] Size of 
SourceUrlsEx 1
....
....
2005-03-31 00:59:00,752 DEBUG database.RFTDatabaseSetup [Thread-
210,returnDBConnection:259] Reduced 1 active 1 idle 5
2005-03-31 00:59:00,766 ERROR service.TransferClient [Thread-
211,updatePermissions:616] Error updating Permissions of a file/tmp/rftTest.tmp
org.globus.ftp.exception.ServerException: Server refused performing the 
request. Custom message: Server refused MLST command (error code 1) [Nested 
exception message:  Custom message: Unexpected reply: 500-Command failed : 
System error in stat: No such file or directory
500-A system call failed: No such file or directory
500 End.].  Nested exception is 
org.globus.ftp.exception.UnexpectedReplyCodeException:  Custom message: 
Unexpected reply: 500-Command failed : System error in stat: No such file or 
directory
500-A system call failed: No such file or directory
500 End.
    at org.globus.ftp.vanilla.FTPControlChannel.execute
(FTPControlChannel.java:310)
    at org.globus.ftp.FTPClient.mlst(FTPClient.java:439)
    at org.globus.transfer.reliable.service.TransferClient.updatePermissions
(TransferClient.java:610)
    at org.globus.transfer.reliable.service.TransferClient.transfer
(TransferClient.java:667)
    at org.globus.transfer.reliable.service.TransferWork.run
(TransferWork.java:620)
    at org.globus.wsrf.impl.work.WorkManagerImpl$WorkWrapper.run
(WorkManagerImpl.java:342)
    at java.lang.Thread.run(Thread.java:568)
2005-03-31 00:59:00,766 ERROR service.TransferWork [Thread-211,run:628] 
Terminal transfer error:
Error updating Permissions of a file/tmp/rftTest.tmp [Caused by: Server refused 
performing the request. Custom message: Server refused MLST command (error code 
1) [Nested exception message:  Custom message: Unexpected reply: 500-Command 
failed : System error in stat: No such file or directory
500-A system call failed: No such file or directory
500 End.]]
Error updating Permissions of a file/tmp/rftTest.tmp
. Caused by 
org.globus.ftp.exception.ServerException: Server refused performing the 
request. Custom message: Server refused MLST command (error code 1) [Nested 
exception message:  Custom message: Unexpected reply: 500-Command failed : 
System error in stat: No such file or directory
500-A system call failed: No such file or directory
500 End.].  Nested exception is 
org.globus.ftp.exception.UnexpectedReplyCodeException:  Custom message: 
Unexpected reply: 500-Command failed : System error in stat: No such file or 
directory
500-A system call failed: No such file or directory
500 End.
    at org.globus.ftp.vanilla.FTPControlChannel.execute
(FTPControlChannel.java:310)
    at org.globus.ftp.FTPClient.mlst(FTPClient.java:439)
    at org.globus.transfer.reliable.service.TransferClient.updatePermissions
(TransferClient.java:610)
    at org.globus.transfer.reliable.service.TransferClient.transfer
(TransferClient.java:667)
    at org.globus.transfer.reliable.service.TransferWork.run
(TransferWork.java:620)
    at org.globus.wsrf.impl.work.WorkManagerImpl$WorkWrapper.run
(WorkManagerImpl.java:342)
    at java.lang.Thread.run(Thread.java:568)
2005-03-31 00:59:00,770 DEBUG service.TransferWork [Thread-
211,processStates:422] in process states 2
------- Comment #7 From 2005-04-05 10:45:57 -------
I am unable to reproduce this as all my tests pass.Can you attach the
test-reports here so I can dig in 
more? 
------- Comment #8 From 2005-04-05 12:12:23 -------
Please find the test-reports (TEST-
org.globus.transfer.reliable.service.test.PackageTests.xml) attached below

  <?xml version="1.0" encoding="UTF-8" ?> 
- <testsuite errors="1" failures="1" 
name="org.globus.transfer.reliable.service.test.PackageTests" tests="17" 
time="366.844">
- <properties>
  <property name="java.vendor" value="IBM Corporation" /> 
  <property name="env.PVM_ROOT" value="/usr/share/pvm3" /> 
  <property name="env.LESSOPEN" value="|/usr/bin/lesspipe.sh %s" /> 
  <property name="os.name" value="Linux" /> 
  <property name="sun.boot.class.path" value="/opt/IBMJava2-
141/jre/lib/endorsed/resolver.jar:/opt/IBMJava2-
141/jre/lib/endorsed/xercesImpl.jar:/opt/IBMJava2-
141/jre/lib/endorsed/xercesSamples.jar:/opt/IBMJava2-141/jre/lib/endorsed/xml-
apis.jar:/opt/IBMJava2-141/jre/lib/endorsed/xmlParserAPIs.jar:/opt/IBMJava2-
141/jre/lib/core.jar:/opt/IBMJava2-141/jre/lib/graphics.jar:/opt/IBMJava2-
141/jre/lib/security.jar:/opt/IBMJava2-
141/jre/lib/ibmjssefips.jar:/opt/IBMJava2-141/jre/lib/server.jar:/opt/IBMJava2-
141/jre/lib/xml.jar:/opt/IBMJava2-141/jre/lib/charsets.jar" /> 
  <property name="env.PWD" value="/home/ibmgrid/ogs/gt3.9.5-installer/gt3.9.5-
all-source-installer/source-trees/ws-transfer/reliable/service/test/unit" /> 
  <property name="env.LANG" value="en_US" /> 
  <property name="sun.java2d.fontpath" value="" /> 
  <property name="java.vm.specification.vendor" value="Sun Microsystems 
Inc." /> 
  <property name="ant.home" value="/home/ibmgrid/apache-ant-1.5.3-1" /> 
  <property name="java.runtime.version" value="1.4.1" /> 
  <property name="env.GLOBUS_LOCATION" value="/opt/gt3.9.5" /> 
  <property name="org.globus.wsrf.container.webroot" value="/opt/gt3.9.5" /> 
  <property name="env.HISTSIZE" value="1000" /> 
  <property name="package.name" value="globus_wsrf_rft_test" /> 
  <property name="env.REMOTEHOST" value="9.184.251.244" /> 
  <property name="env.IBM_JAVA_COMMAND_LINE" value="/opt/IBMJava2-141/bin/java -
classpath /home/ibmgrid/apache-ant-1.5.3-1/lib/xml-
apis.jar:/home/ibmgrid/apache-ant-1.5.3-
1/lib/xercesImpl.jar:/home/ibmgrid/apache-ant-1.5.3-
1/lib/optional.jar:/home/ibmgrid/apache-ant-1.5.3-
1/lib/junit.jar:/home/ibmgrid/apache-ant-1.5.3-
1/lib/ant.jar:/opt/ibm/Cloudscape_10.0/lib/derby.jar:/opt/ibm/Cloudscape_10.0/li
b/derbytools.jar:/opt/ibm/Cloudscape_10.0/lib/derbynet.jar:/home/ibmgrid/apache-
ant-1.5.3-1/lib/junit3.8.1:/home/ibmgrid/apache-ant-1.5.3-
1/lib/junit3.8.1/junit.jar:/opt/IBMJava2-141/lib:/opt/IBMJava2-
141/jre/lib:/home/ibmgrid/apache-ant-1.5.3-1/lib::/opt/IBMJava2-
141/lib/tools.jar -Dant.home=/home/ibmgrid/apache-ant-1.5.3-1 
org.apache.tools.ant.Main test" /> 
  <property name="user.name" value="ibmgrid" /> 
  <property name="java.compiler" value="jitc" /> 
  <property name="env._" value="/opt/IBMJava2-141/bin/java" /> 
  <property name="env.USER" value="ibmgrid" /> 
  <property name="env.SHELL" value="/bin/bash" /> 
  <property name="env.GLOBUS_USAGE_OPTOUT" value="1" /> 
  <property name="deploy.dir" value="/opt/gt3.9.5" /> 
  <property name="build.dir" value="/home/ibmgrid/ogs/gt3.9.5-installer/gt3.9.5-
all-source-installer/source-trees/ws-
transfer/reliable/service/test/unit/build" /> 
  <property name="env.PATH" 
value="/opt/gt3.9.5/bin:/opt/gt3.9.5/sbin:/opt/IBMJava2-141/bin:/opt/IBMJava2-
141/jre/bin:/home/ibmgrid/apache-ant-1.5.3-1/bin:.:/opt/IBMJava2-
131/jre/bin:/usr/local/bin:/bin:/usr/bin:/usr/X11R6/bin:/home/ibmgrid/bin" /> 
  <property name="user.language" value="en" /> 
  <property name="sun.boot.library.path" value="/opt/IBMJava2-141/jre/bin" /> 
  <property name="env.HOSTTYPE" value="i386" /> 
  <property name="share.dir" value="/home/ibmgrid/ogs/gt3.9.5-installer/gt3.9.5-
all-source-installer/source-trees/ws-
transfer/reliable/service/test/unit/share" /> 
  <property name="java.version" value="1.4.1" /> 
  <property name="env.LAMHELPFILE" value="/etc/lam/lam-helpfile" /> 
  <property name="user.timezone" value="" /> 
  <property name="env.LIBPATH" value="/opt/gt3.9.5/lib:/usr/lib:/lib" /> 
  <property name="sun.arch.data.model" value="32" /> 
  <property name="java.endorsed.dirs" value="/opt/IBMJava2-
141/jre/lib/endorsed" /> 
  <property name="file.encoding.pkg" value="sun.io" /> 
  <property name="env.SHLVL" value="2" /> 
  <property name="env.HOSTNAME" value="ibmgrid1.in.ibm.com" /> 
  <property name="file.separator" value="/" /> 
  <property name="java.specification.name" value="Java Platform API 
Specification" /> 
  <property name="java.class.version" value="48.0" /> 
  <property name="user.country" value="US" /> 
  <property name="java.home" value="/opt/IBMJava2-141/jre" /> 
  <property name="env.SASL_PATH" value="/opt/gt3.9.5/lib/sasl" /> 
  <property name="java.vm.info" value="J2RE 1.4.1 IBM build cxia321411-20040301 
(JIT enabled: jitc)" /> 
  <property name="env.LOGNAME" value="ibmgrid" /> 
  <property name="ant.file" value="/home/ibmgrid/ogs/gt3.9.5-installer/gt3.9.5-
all-source-installer/source-trees/ws-
transfer/reliable/service/test/unit/build.xml" /> 
  <property name="os.version" value="2.4.9-e.3" /> 
  <property name="build.lib.dir" value="/home/ibmgrid/ogs/gt3.9.5-
installer/gt3.9.5-all-source-installer/source-trees/ws-
transfer/reliable/service/test/unit/build/lib" /> 
  <property name="java.awt.fonts" value="" /> 
  <property name="path.separator" value=":" /> 
  <property name="gar.name" value="globus_wsrf_rft_test.gar" /> 
  <property name="java.vm.version" value="1.4.1" /> 
  <property name="java.util.prefs.PreferencesFactory" 
value="java.util.prefs.FileSystemPreferencesFactory" /> 
  <property name="env.CLOUDSCAPE_INSTALL" value="/opt/ibm/Cloudscape_10.0" /> 
  <property name="env.JAVA_HOME" value="/opt/IBMJava2-141" /> 
  <property name="java.awt.printerjob" value="sun.print.PSPrinterJob" /> 
  <property name="env.TERM" value="xterm" /> 
  <property name="sun.io.unicode.encoding" value="UnicodeLittle" /> 
  <property name="env.SHLIB_PATH" value="/opt/gt3.9.5/lib" /> 
  <property name="env.OSTYPE" value="linux-gnu" /> 
  <property name="build.dest" value="/home/ibmgrid/ogs/gt3.9.5-
installer/gt3.9.5-all-source-installer/source-trees/ws-
transfer/reliable/service/test/unit/build/classes" /> 
  <property name="java.assistive" value="ON" /> 
  <property name="GLOBUS_LOCATION" value="/opt/gt3.9.5" /> 
  <property name="env.PVM_RSH" value="/usr/bin/rsh" /> 
  <property name="user.home" value="/home/ibmgrid" /> 
  <property name="java.specification.vendor" value="Sun Microsystems Inc." /> 
  <property name="env.CLASSPATH" 
value="/opt/ibm/Cloudscape_10.0/lib/derby.jar:/opt/ibm/Cloudscape_10.0/lib/derby
tools.jar:/opt/ibm/Cloudscape_10.0/lib/derbynet.jar:/home/ibmgrid/apache-ant-
1.5.3-1/lib/junit3.8.1:/home/ibmgrid/apache-ant-1.5.3-
1/lib/junit3.8.1/junit.jar:/opt/IBMJava2-141/lib:/opt/IBMJava2-
141/jre/lib:/home/ibmgrid/apache-ant-1.5.3-1/lib:" /> 
  <property name="invokedviajava" value="" /> 
  <property name="java.library.path" value="/opt/IBMJava2-
141/jre/bin:/opt/IBMJava2-141/jre/bin/classic:/opt/IBMJava2-
141/jre/bin:/opt/IBMJava2-141/bin/../jre/bin:/opt/IBMJava2-
141/jre/bin/classic:/opt/IBMJava2-141/jre/bin:/opt/gt3.9.5/lib:/usr/lib" /> 
  <property name="java.vendor.url" value="http://www.ibm.com/" /> 
  <property name="test.types" value="" /> 
  <property name="java.vm.vendor" value="IBM Corporation" /> 
  <property name="java.debug" value="on" /> 
  <property name="java.fullversion" value="J2RE 1.4.1 IBM build cxia321411-
20040301 (JIT enabled: jitc)" /> 
  <property name="java.runtime.name" value="Java(TM) 2 Runtime Environment, 
Standard Edition" /> 
  <property name="ant.version" value="Apache Ant version 1.5.3 compiled on 
April 16 2003" /> 
  <property name="java.class.path" value="/home/ibmgrid/ogs/gt3.9.5-
installer/gt3.9.5-all-source-installer/source-trees/ws-
transfer/reliable/service/test/unit/build/classes:/opt/gt3.9.5:/opt/gt3.9.5/lib/
saaj.jar:/opt/gt3.9.5/lib/xml-
apis.jar:/opt/gt3.9.5/lib/wss4j.jar:/opt/gt3.9.5/lib/opensaml.jar:/opt/gt3.9.5/l
ib/xmlsec.jar:/opt/gt3.9.5/lib/jce-jdk13-
125.jar:/opt/gt3.9.5/lib/cryptix32.jar:/opt/gt3.9.5/lib/wsrf_common.jar:/opt/gt3
.9.5/lib/axis-url.jar:/opt/gt3.9.5/lib/log4j-1.2.8.jar:/opt/gt3.9.5/lib/naming-
resources.jar:/opt/gt3.9.5/lib/xalan.jar:/opt/gt3.9.5/lib/jug-
1.0.1.jar:/opt/gt3.9.5/lib/addressing-1.0.jar:/opt/gt3.9.5/lib/naming-
factory.jar:/opt/gt3.9.5/lib/commons-cli-2.0.jar:/opt/gt3.9.5/lib/cryptix-
asn1.jar:/opt/gt3.9.5/lib/jgss.jar:/opt/gt3.9.5/lib/puretls.jar:/opt/gt3.9.5/lib
/naming-common.jar:/opt/gt3.9.5/lib/cog-
url.jar:/opt/gt3.9.5/lib/commonj.jar:/opt/gt3.9.5/lib/xercesImpl.jar:/opt/gt3.9.
5/lib/bootstrap.jar:/opt/gt3.9.5/lib/axis.jar:/opt/gt3.9.5/lib/cog-
axis.jar:/opt/gt3.9.5/lib/commons-collections-3.0.jar:/opt/gt3.9.5/lib/commons-
digester.jar:/opt/gt3.9.5/lib/wsdl4j.jar:/opt/gt3.9.5/lib/commons-
beanutils.jar:/opt/gt3.9.5/lib/commons-
logging.jar:/opt/gt3.9.5/lib/jaxrpc.jar:/opt/gt3.9.5/lib/servlet.jar:/opt/gt3.9.
5/lib/wsrf_provider_jce.jar:/opt/gt3.9.5/lib/cog-
jglobus.jar:/opt/gt3.9.5/lib/naming-
java.jar:/opt/gt3.9.5/lib/concurrent.jar:/opt/gt3.9.5/lib/commons-
discovery.jar:/opt/gt3.9.5/lib/cog-
tomcat.jar:/opt/gt3.9.5/lib/resolver.jar:/opt/gt3.9.5/lib/cryptix.jar:/opt/gt3.9
.5/lib/wsrf_tools.jar:/opt/gt3.9.5/lib/globus_usage_packets_common.jar:/opt/gt3.
9.5/lib/globus_usage_core.jar:/opt/gt3.9.5/lib/wsrf_core_stubs.jar:/opt/gt3.9.5/
lib/wsrf_core.jar:/opt/gt3.9.5/lib/wsrf_core_registry_stubs.jar:/opt/gt3.9.5/lib
/wsrf_core_registry.jar:/opt/gt3.9.5/lib/wsrf_core_samples_authzService.jar:/opt
/gt3.9.5/lib/wsrf_core_samples_authzService_stubs.jar:/opt/gt3.9.5/lib/wsrf_core
_samples_mgmt.jar:/opt/gt3.9.5/lib/wsrf_core_samples_mgmt_stubs.jar:/opt/gt3.9.5
/lib/xmlrpc-1.1.jar:/opt/gt3.9.5/lib/xmldb-api-sdk-
20030701.jar:/opt/gt3.9.5/lib/xmldb-xupdate-20040205.jar:/opt/gt3.9.5/lib/xmldb-
api-20030701.jar:/opt/gt3.9.5/lib/xmldb-common-
20030701.jar:/opt/gt3.9.5/lib/xindice-
1.1b4.jar:/opt/gt3.9.5/lib/wsrf_core_samples_counter_stubs.jar:/opt/gt3.9.5/lib/
wsrf_core_samples_counter.jar:/opt/gt3.9.5/lib/wsrf_mds_usefulrp_schema_stubs.ja
r:/opt/gt3.9.5/lib/wsrf_mds_usefulrp.jar:/opt/gt3.9.5/lib/globus_wsrf_servicegro
up.jar:/opt/gt3.9.5/lib/globus_wsrf_servicegroup_stubs.jar:/opt/gt3.9.5/lib/glob
us_wsrf_mds_aggregator.jar:/opt/gt3.9.5/lib/globus_wsrf_mds_aggregator_stubs.jar
:/opt/gt3.9.5/lib/wsrf_mds_index_stubs.jar:/opt/gt3.9.5/lib/wsrf_mds_index.jar:/
opt/gt3.9.5/lib/wsrf_mds_trigger_stubs.jar:/opt/gt3.9.5/lib/wsrf_mds_trigger.jar
:/opt/gt3.9.5/lib/globus_delegation_stubs.jar:/opt/gt3.9.5/lib/globus_delegation
_service.jar:/opt/gt3.9.5/lib/globus_delegation_client.jar:/opt/gt3.9.5/lib/comm
ons-pool.jar:/opt/gt3.9.5/lib/commons-
dbcp.jar:/opt/gt3.9.5/lib/pg73jdbc2.jar:/opt/gt3.9.5/lib/globus_wsrf_rft_stubs.j
ar:/opt/gt3.9.5/lib/globus_wsrf_rft_service_java_usage.jar:/opt/gt3.9.5/lib/glob
us_wsrf_rft.jar:/opt/gt3.9.5/lib/globus_wsrf_rft_client.jar:/opt/gt3.9.5/lib/glo
bus_wsrf_rendezvous_stubs.jar:/opt/gt3.9.5/lib/gram-
stubs.jar:/opt/gt3.9.5/lib/globus_wsrf_gram_service_java_usage.jar:/opt/gt3.9.5/
lib/gram-
monitoring.jar:/opt/gt3.9.5/lib/globus_wsrf_rendezvous_service.jar:/opt/gt3.9.5/
lib/gram-utils.jar:/opt/gt3.9.5/lib/gram-service.jar:/opt/gt3.9.5/lib/gram-
client.jar:/opt/gt3.9.5/lib/globus_cas_common.jar:/opt/gt3.9.5/lib/globus_cas_ut
ils.jar:/opt/gt3.9.5/lib/globus_cas_service.jar:/opt/gt3.9.5/lib/globus_cas_clie
nt.jar:/opt/gt3.9.5/lib/wsrf_test.jar:/opt/gt3.9.5/lib/junit.jar:/opt/gt3.9.5/li
b/wsrf_test_interop_stubs.jar:/opt/gt3.9.5/lib/wsrf_test_interop.jar:/opt/gt3.9.
5/lib/globus_wsrf_tools_test.jar:/opt/gt3.9.5/lib/wsrf_test_unit_stubs.jar:/opt/
gt3.9.5/lib/webmds-0.1-
dev.jar:/opt/gt3.9.5/lib/globus_wsrf_mds_aggregator_test.jar:/opt/gt3.9.5/lib/gl
obus_wsrf_mds_index_test.jar:/opt/gt3.9.5/lib/globus_wsrf_mds_trigger_test.jar:/
opt/gt3.9.5/lib/globus_wsrf_gram_service_test_unit.jar:/opt/gt3.9.5/lib/gram-
throughput-
tester.jar:/opt/gt3.9.5/lib/globus_cas_unit_test.jar:/opt/gt3.9.5/lib/globus_del
egation_test.jar:/opt/gt3.9.5/lib/ConTest.jar:/opt/gt3.9.5/lib/cfparse.jar:/opt/
gt3.9.5/lib/wsrf_test_unit.jar:/home/ibmgrid/apache-ant-1.5.3-
1/lib/junit.jar:/home/ibmgrid/apache-ant-1.5.3-
1/lib/ant.jar:/home/ibmgrid/apache-ant-1.5.3-1/lib/optional.jar" /> 
  <property name="test.list" value="" /> 
  <property name="env.PGDATA" value="/usr/local/pgsql/data" /> 
  <property name="java.vm.specification.name" value="Java Virtual Machine 
Specification" /> 
  <property name="java.vm.specification.version" value="1.0" /> 
  <property name="sun.os.patch.level" value="unknown" /> 
  <property name="env.HOME" value="/home/ibmgrid" /> 
  <property name="env.XPVM_ROOT" value="/usr/share/pvm3/xpvm" /> 
  <property name="env.ANT_HOME" value="/home/ibmgrid/apache-ant-1.5.3-1" /> 
  <property name="env.LD_LIBRARY_PATH" value="/opt/IBMJava2-
141/bin/../jre/bin:/opt/IBMJava2-141/jre/bin/classic:/opt/IBMJava2-
141/jre/bin:/opt/gt3.9.5/lib" /> 
  <property name="java.io.tmpdir" value="/tmp" /> 
  <property name="env.LS_COLORS" 
value="no=00:fi=00:di=01;34:ln=01;36:pi=40;33:so=01;35:bd=40;33;01:cd=40;33;01:o
r=01;05;37;41:mi=01;05;37;41:ex=01;32:*.cmd=01;32:*.exe=01;32:*.com=01;32:*.btm=
01;32:*.bat=01;32:*.sh=01;32:*.csh=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.t
az=01;31:*.lzh=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.gz=01;31:*.bz2=01;31:*.bz
=01;31:*.tz=01;31:*.rpm=01;31:*.cpio=01;31:*.jpg=01;35:*.gif=01;35:*.bmp=01;35:*
.xbm=01;35:*.xpm=01;35:*.png=01;35:*.tif=01;35:" /> 
  <property name="java.vendor.url.bug" value="" /> 
  <property name="build.packages" 
value="/opt/gt3.9.5/share/globus_wsrf_common/build-packages.xml" /> 
  <property name="ibm.system.encoding" value="ISO-8859-1" /> 
  <property name="java.awt.graphicsenv" 
value="sun.awt.X11GraphicsEnvironment" /> 
  <property name="os.arch" value="x86" /> 
  <property name="garshare.id" value="garshare" /> 
  <property name="java.ext.dirs" value="/opt/IBMJava2-141/jre/lib/ext" /> 
  <property name="user.dir" value="/home/ibmgrid/ogs/gt3.9.5-installer/gt3.9.5-
all-source-installer/source-trees/ws-transfer/reliable/service/test/unit" /> 
  <property name="junit.haltonfailure" value="false" /> 
  <property name="test-reports.dir" value="test-reports" /> 
  <property name="env.INPUTRC" value="/etc/inputrc" /> 
  <property name="line.separator" value="" /> 
  <property name="java.vm.name" value="Classic VM" /> 
  <property name="basedir" value="/home/ibmgrid/ogs/gt3.9.5-installer/gt3.9.5-
all-source-installer/source-trees/ws-transfer/reliable/service/test/unit" /> 
  <property name="env.MACHTYPE" value="i386-redhat-linux-gnu" /> 
  <property name="garjars.id" value="garjars" /> 
  <property name="ant.java.version" value="1.4" /> 
  <property name="jar.name" value="globus_wsrf_rft_test.jar" /> 
  <property name="test.path" value="." /> 
  <property name="env.GLOBUS_PATH" value="/opt/gt3.9.5" /> 
  <property name="file.encoding" value="ISO-8859-1" /> 
  <property name="env.MAIL" value="/var/spool/mail/ibmgrid" /> 
  <property name="java.specification.version" value="1.4" /> 
  <property name="env.SSH_ASKPASS" value="/usr/libexec/openssh/gnome-ssh-
askpass" /> 
  </properties>
  <testcase name="testTransferEPR" time="8.573" /> 
  <testcase name="testRepeatedlyStarted" time="2.927" /> 
  <testcase name="testTransfer" time="61.154" /> 
- <testcase name="testGetStatus" time="51.906">
  <error message="java.rmi.RemoteException: Unable to get Status" 
type="org.apache.axis.AxisFault">AxisFault faultCode: 
{http://schemas.xmlsoap.org/soap/envelope/}Server.userException faultSubcode: 
faultString: java.rmi.RemoteException: Unable to get Status faultActor: 
faultNode: faultDetail: {http://xml.apache.org/axis/}
stackTrace:java.rmi.RemoteException: Unable to get Status at 
org.globus.transfer.reliable.service.ReliableFileTransferImpl.getStatus
(ReliableFileTransferImpl.java:159) at 
sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) at 
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:79) 
at sun.reflect.DelegatingMethodAccessorImpl.invoke
(DelegatingMethodAccessorImpl.java(Compiled Code)) at 
org.apache.axis.providers.java.RPCProvider.invokeMethod(RPCProvider.java:384) 
at org.globus.axis.providers.RPCProvider.invokeMethodSub(RPCProvider.java:104) 
at org.globus.axis.providers.PrivilegedInvokeMethodAction.run
(PrivilegedInvokeMethodAction.java:39) at 
java.security.AccessController.doPrivileged1(Native Method) at 
java.security.AccessController.doPrivileged(AccessController.java(Compiled 
Code)) at javax.security.auth.Subject.doAs(Subject.java:554) at 
org.globus.gsi.jaas.GlobusSubject.runAs(GlobusSubject.java:49) at 
org.globus.gsi.jaas.JaasSubject.doAs(JaasSubject.java:84) at 
org.globus.axis.providers.RPCProvider.invokeMethod(RPCProvider.java:94) at 
org.apache.axis.providers.java.RPCProvider.processMessage(RPCProvider.java:281) 
at org.apache.axis.providers.java.JavaProvider.invoke(JavaProvider.java:319) at 
org.apache.axis.strategies.InvocationStrategy.visit(InvocationStrategy.java:32) 
at org.apache.axis.SimpleChain.doVisiting(SimpleChain.java:118) at 
org.apache.axis.SimpleChain.invoke(SimpleChain.java:83) at 
org.apache.axis.handlers.soap.SOAPService.invoke(SOAPService.java:450) at 
org.apache.axis.server.AxisServer.invoke(AxisServer.java:285) at 
org.globus.wsrf.container.ServiceThread.doPost(ServiceThread.java:647) at 
org.globus.wsrf.container.ServiceThread.process(ServiceThread.java:378) at 
org.globus.wsrf.container.GSIServiceThread.process(GSIServiceThread.java:124) 
at org.globus.wsrf.container.ServiceThread.run(ServiceThread.java:281) 
{http://xml.apache.org/axis/}hostname:ibmgrid1.in.ibm.com 
java.rmi.RemoteException: Unable to get Status at 
org.apache.axis.message.SOAPFaultBuilder.createFault(SOAPFaultBuilder.java:221) 
at org.apache.axis.message.SOAPFaultBuilder.endElement
(SOAPFaultBuilder.java:128) at 
org.apache.axis.encoding.DeserializationContext.endElement
(DeserializationContext.java:1087) at 
org.apache.xerces.parsers.AbstractSAXParser.endElement(Unknown Source) at 
org.apache.xerces.impl.XMLNSDocumentScannerImpl.scanEndElement(Unknown Source) 
at 
org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.
dispatch(Unknown Source) at 
org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument(Unknown 
Source) at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source) 
at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source) at 
org.apache.xerces.parsers.XMLParser.parse(Unknown Source) at 
org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source) at 
javax.xml.parsers.SAXParser.parse(Unknown Source) at 
org.apache.axis.encoding.DeserializationContext.parse
(DeserializationContext.java:227) at org.apache.axis.SOAPPart.getAsSOAPEnvelope
(SOAPPart.java:645) at org.apache.axis.Message.getSOAPEnvelope
(Message.java:424) at 
org.apache.axis.message.addressing.handler.AddressingHandler.processClientRespon
se(AddressingHandler.java:305) at 
org.apache.axis.message.addressing.handler.AddressingHandler.invoke
(AddressingHandler.java:110) at 
org.apache.axis.strategies.InvocationStrategy.visit(InvocationStrategy.java:32) 
at org.apache.axis.SimpleChain.doVisiting(SimpleChain.java:118) at 
org.apache.axis.SimpleChain.invoke(SimpleChain.java:83) at 
org.apache.axis.client.AxisClient.invoke(AxisClient.java:190) at 
org.apache.axis.client.Call.invokeEngine(Call.java:2726) at 
org.apache.axis.client.Call.invoke(Call.java:2709) at 
org.apache.axis.client.Call.invoke(Call.java:2385) at 
org.apache.axis.client.Call.invoke(Call.java:2308) at 
org.apache.axis.client.Call.invoke(Call.java:1765) at 
org.globus.rft.generated.bindings.ReliableFileTransferPortTypeSOAPBindingStub.ge
tStatus(ReliableFileTransferPortTypeSOAPBindingStub.java:1112) at 
org.globus.transfer.reliable.service.test.RFTTest.testGetStatus
(RFTTest.java:223) at sun.reflect.NativeMethodAccessorImpl.invoke0(Native 
Method) at sun.reflect.NativeMethodAccessorImpl.invoke
(NativeMethodAccessorImpl.java:79) at 
sun.reflect.DelegatingMethodAccessorImpl.invoke
(DelegatingMethodAccessorImpl.java:41) at 
org.globus.transfer.reliable.service.test.PackageTests.run(PackageTests.java:36)
</error> 
  </testcase>
  <testcase name="testGetStatusSet" time="52.806" /> 
- <testcase name="testCancel" time="5.038">
  <failure 
type="junit.framework.AssertionFailedError">junit.framework.AssertionFailedError
 at org.globus.transfer.reliable.service.test.RFTTest.testCancel
(RFTTest.java:286) at sun.reflect.NativeMethodAccessorImpl.invoke0(Native 
Method) at sun.reflect.NativeMethodAccessorImpl.invoke
(NativeMethodAccessorImpl.java:79) at 
sun.reflect.DelegatingMethodAccessorImpl.invoke
(DelegatingMethodAccessorImpl.java:41) at 
org.globus.transfer.reliable.service.test.PackageTests.run(PackageTests.java:36)
</failure> 
  </testcase>
  <testcase name="testDirTransfer" time="60.869" /> 
  <testcase name="testTptTransfer" time="61.02" /> 
  <testcase name="testOverallStatus" time="1.051" /> 
  <testcase name="testRequestStatusRP" time="6.248" /> 
  <testcase name="testTotalBytesTransferred" time="11.129" /> 
  <testcase name="testMultipleResourceProperties_Factory_RFT" time="0.264" /> 
  <testcase name="testMultipleResourceProperties_Resource_RFT" time="30.974" /> 
  <testcase name="testDelete" time="5.854" /> 
  <testcase name="testEmptyDir" time="6.042" /> 
  <testcase name="testNoOptions" time="0.0" /> 
  <testcase name="testTransferEPR" time="0.974" /> 
- <system-out>
- <![CDATA[ 
Loading: test.properties
gsiftp://localhost:2811/etc/groupgsiftp://localhost:2811/tmp/rftTest.tmp
HOST: 127.0.0.1 PORT: 8443AUTHZ host AUTH: GSI_TRANSPORT 
FACTORY_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferFactoryServi
ce  
SERVICE_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferServicebinar
y:false
Number of transfers in this request: 1
rft service URL:https://127.0.0.1:8443/wsrf/services/ReliableFileTransferService
reference property #0
<ns1:TransferKey 
xmlns:ns1="http://www.globus.org/namespaces/2004/10/rft">690</ns1:TransferKey>
transfer resource ID = 690
gsiftp://localhost:2811/etc/groupgsiftp://localhost:2811/tmp/rftTest.tmp
HOST: 127.0.0.1 PORT: 8443AUTHZ host AUTH: GSI_TRANSPORT 
FACTORY_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferFactoryServi
ce  
SERVICE_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferServicebinar
y:false
Number of transfers in this request: 1
gsiftp://localhost:2811/etc/groupgsiftp://localhost:2811/tmp/rftTest.tmp
HOST: 127.0.0.1 PORT: 8443AUTHZ host AUTH: GSI_TRANSPORT 
FACTORY_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferFactoryServi
ce  
SERVICE_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferServicebinar
y:false
Number of transfers in this request: 1
gsiftp://localhost:2811/etc/groupgsiftp://localhost:2811/tmp/rftTest.tmp
HOST: 127.0.0.1 PORT: 8443AUTHZ host AUTH: GSI_TRANSPORT 
FACTORY_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferFactoryServi
ce  
SERVICE_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferServicebinar
y:false
Number of transfers in this request: 1
gsiftp://localhost:2811/etc/groupgsiftp://localhost:2811/tmp/rftTest.tmp
HOST: 127.0.0.1 PORT: 8443AUTHZ host AUTH: GSI_TRANSPORT 
FACTORY_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferFactoryServi
ce  
SERVICE_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferServicebinar
y:false
Number of transfers in this request: 10
Length of status set : 9
Status: Finished
Status: Finished
Status: Finished
Status: Finished
Status: Finished
Status: Finished
Status: Finished
Status: Finished
Status: Finished
gsiftp://localhost:2811/etc/groupgsiftp://localhost:2811/tmp/rftTest.tmp
HOST: 127.0.0.1 PORT: 8443AUTHZ host AUTH: GSI_TRANSPORT 
FACTORY_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferFactoryServi
ce  
SERVICE_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferServicebinar
y:false
Number of transfers in this request: 10
Length of status set : 9
Status: Finished
gsiftp://localhost:2811/etc/groupgsiftp://localhost:2811/tmp/rftTest.tmp
HOST: 127.0.0.1 PORT: 8443AUTHZ host AUTH: GSI_TRANSPORT 
FACTORY_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferFactoryServi
ce  
SERVICE_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferServicebinar
y:false
Number of transfers in this request: 1
gsiftp://localhost:2811/etc/groupgsiftp://localhost:2811/tmp/rftTest.tmp
HOST: 127.0.0.1 PORT: 8443AUTHZ host AUTH: GSI_TRANSPORT 
FACTORY_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferFactoryServi
ce  
SERVICE_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferServicebinar
y:false
Number of transfers in this request: 1
gsiftp://localhost:2811/etc/groupgsiftp://localhost:2811/tmp/rftTest.tmp
HOST: 127.0.0.1 PORT: 8443AUTHZ host AUTH: GSI_TRANSPORT 
FACTORY_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferFactoryServi
ce  
SERVICE_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferServicebinar
y:false
Number of transfers in this request: 1
status : 0
gsiftp://localhost:2811/etc/groupgsiftp://localhost:2811/tmp/rftTest.tmp
HOST: 127.0.0.1 PORT: 8443AUTHZ host AUTH: GSI_TRANSPORT 
FACTORY_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferFactoryServi
ce  
SERVICE_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferServicebinar
y:false
Number of transfers in this request: 10
request status : Done
gsiftp://localhost:2811/etc/groupgsiftp://localhost:2811/tmp/rftTest.tmp
HOST: 127.0.0.1 PORT: 8443AUTHZ host AUTH: GSI_TRANSPORT 
FACTORY_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferFactoryServi
ce  
SERVICE_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferServicebinar
y:false
Number of transfers in this request: 1
Total bytes: 290
Resource Properties of factory:

<ns1:ActiveResourceInstances 
xmlns:ns1="http://www.globus.org/namespaces/2004/10/rft">0</ns1:ActiveResourceIn
stances>
<ns2:TotalNumberOfTransfers 
xmlns:ns2="http://www.globus.org/namespaces/2004/10/rft">1048</ns2:TotalNumberOf
Transfers>
<ns3:DelegationServiceEPR 
xmlns:ns3="http://www.globus.org/namespaces/2004/10/rft">
 <ns1:Address 
xmlns:ns1="http://schemas.xmlsoap.org/ws/2004/03/addressing">https://127.0.0.1:8
443/wsrf/services/DelegationFactoryService</ns1:Address>
 <ns2:ReferenceProperties 
xmlns:ns2="http://schemas.xmlsoap.org/ws/2004/03/addressing"/>
 <ns4:ReferenceParameters 
xmlns:ns4="http://schemas.xmlsoap.org/ws/2004/03/addressing"/>
</ns3:DelegationServiceEPR>
<ns4:RFTFactoryStartTime 
xmlns:ns4="http://www.globus.org/namespaces/2004/10/rft">2005-04-
01T10:16:02.846Z</ns4:RFTFactoryStartTime>
<ns5:TotalNumberOfBytesTransferred 
xmlns:ns5="http://www.globus.org/namespaces/2004/10/rft">314894</ns5:TotalNumber
OfBytesTransferred>
<ns6:TotalNumberOfActiveTransfers 
xmlns:ns6="http://www.globus.org/namespaces/2004/10/rft">0</ns6:TotalNumberOfAct
iveTransfers>
gsiftp://localhost:2811/etc/groupgsiftp://localhost:2811/tmp/rftTest.tmp
HOST: 127.0.0.1 PORT: 8443AUTHZ host AUTH: GSI_TRANSPORT 
FACTORY_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferFactoryServi
ce  
SERVICE_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferServicebinar
y:false
Number of transfers in this request: 1
gsiftp://localhost:2811/etc/groupgsiftp://localhost:2811/tmp/rftTest.tmp
HOST: 127.0.0.1 PORT: 8443AUTHZ host AUTH: GSI_TRANSPORT 
FACTORY_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferFactoryServi
ce  
SERVICE_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferServicebinar
y:false
gsiftp://localhost:2811/etc/groupgsiftp://localhost:2811/tmp/rftTest.tmp
HOST: 127.0.0.1 PORT: 8443AUTHZ host AUTH: GSI_TRANSPORT 
FACTORY_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferFactoryServi
ce  
SERVICE_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferServicebinar
y:false
Number of transfers in this request: 2
gsiftp://localhost:2811/etc/groupgsiftp://localhost:2811/tmp/rftTest.tmp
HOST: 127.0.0.1 PORT: 8443AUTHZ host AUTH: GSI_TRANSPORT 
FACTORY_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferFactoryServi
ce  
SERVICE_URLhttps://127.0.0.1:8443/wsrf/services/ReliableFileTransferServicebinar
y:false
gsiftp://localhost:2811/etc/groupgsiftp://localhost:2811/tmp/rftTest.tmp
rft service URL:https://127.0.0.1:8443/wsrf/services/ReliableFileTransferService
reference property #0
<ns1:TransferKey 
xmlns:ns1="http://www.globus.org/namespaces/2004/10/rft">704</ns1:TransferKey>
transfer resource ID = 704


  ]]> 
  </system-out>
- <system-err>
- <![CDATA[ Error:Badly formatted numbers in properties file

  ]]> 
  </system-err>
  </testsuite>
------- Comment #9 From 2005-04-06 10:05:20 -------
I was unable to reproduce this problem with latest trunk. I can only reproduce
it when i use a wrong url 
to getStatus from.
------- Comment #10 From 2005-04-07 10:32:10 -------
I really don't know if I'm doing something wrong. I'm getting similar results 
on three different gt3.9.5 installations on different machines. I'm attaching 
the test.properties and transfer.xfr entries here. With this transfer.xfr I was 
able to transfer file on the same host (rft -z host transfer.xfr). My GridFTP 
server is running as root on port 2811 ( globus-gridftp-server -S -p 2811). 
Please let me know if any more details are needed.

test.properties entries
-----------------------
PROTOCOL=https
HOST=127.0.0.1
PORT=8443
authType=GSI_TRANSPORT
authzVal=host
sourceHost=localhost
destinationHost=localhost
sourcePort=2811
destinationPort=2811
sourcePath=/etc/group
destPath=/tmp/rftTest_Done.tmp
sourceSubject=
subject=/O=Grid/OU=GlobusTest/OU=simpleCA-ibmgrid1.in.ibm.com/CN=host/hcp093
destinationSubject=
binary=
tcpBufferSize=
blockSize=
noTpt=
parallelStreams=
dcau=
concurrency=1
allOrNone=false
maxAttempts=10
backwardsCompatible=true


transfer.xfr entries (other xfr files have similar entries)
-----------------------------------------------------------
true
16000
16000
false
1
true
1
/O=Grid/OU=GlobusTest/OU=simpleCA-ibmgrid1.in.ibm.com/CN=host/hcp093
/O=Grid/OU=GlobusTest/OU=simpleCA-ibmgrid1.in.ibm.com/CN=host/hcp093
false
10
gsiftp://localhost:2811/tmp/rftTest.tmp
gsiftp://localhost:2811/tmp/rftTest_Done.tmp

------- Comment #11 From 2005-04-07 11:07:48 -------
Are you testing trunk or 3.9.5 ? When I meant it works for me, I meant trunk
------- Comment #12 From 2005-04-07 11:25:15 -------
Yes, I'm testing the code checked out from CVS for ws-transfer. 
This is how I did it.

$export CVSROOT=:pserver:anonymous@cvs.globus.org:/home/globdev/CVS/globus-
packages

$cvs co ws-transfer

After the package was completely downloaded, I rebuilt the source by running
"ant all" from ../ws-transfer/reliable directory of the checked out code.

Is it the right way to check out and build code from trunk?
------- Comment #13 From 2005-04-07 12:12:42 -------
Sugandh,
Just uncomment all the tests except for getStatus.. run the test with debug on for rft and send me the 
container log and test-reports
------- Comment #14 From 2005-04-08 12:48:28 -------
I checked out and built source for ws-transfer again from CVS today (Apr/08)and 
tried file transfer using rft command. It failed with the following errors and 
was getting same errors in the test-reports also when the junits were run!!
Tests run: 18, Failures: 0, Errors: 16

$rft -z host -f share/globus_wsrf_rft_test/transfer.xfr
Number of transfers in this request: 1
Exception in thread "main" Error during startup processing. Caused by AxisFault
 faultCode: {http://schemas.xmlsoap.org/soap/envelope/}Server.userException
 faultSubcode:
 faultString: 
org.globus.wsrf.impl.security.authorization.exceptions.AuthorizationException: 
Policy decision failed [Caused by: No gridmap file]
 faultActor:
 faultNode:
 faultDetail:
       {http://xml.apache.org/axis/}stackTrace:Policy decision failed. Caused 
by java.lang.IllegalStateException: No gridmap file
       at 
org.globus.wsrf.impl.security.authorization.GridMapAuthorization.isPermitted
(GridMapAuthorization.java:132)
       at 
org.globus.wsrf.impl.security.authorization.ServiceAuthorizationChain.intercept
(ServiceAuthorizationChain.java:213)
       at 
org.globus.wsrf.impl.security.authorization.ServiceAuthorizationChain.authorize
(ServiceAuthorizationChain.java:278)
       at 
org.globus.wsrf.impl.security.authorization.ServiceAuthorizationChain.authorize
(ServiceAuthorizationChain.java:268)
       at 
org.globus.wsrf.impl.security.authorization.ServiceAuthorizationChain.authorize
(ServiceAuthorizationChain.java:231)
       at 
org.globus.wsrf.impl.security.authorization.AuthorizationHandler.invoke
(AuthorizationHandler.java:176)
       at org.apache.axis.strategies.InvocationStrategy.visit
(InvocationStrategy.java:32)
       at org.apache.axis.SimpleChain.doVisiting(SimpleChain.java:118)
       at org.apache.axis.SimpleChain.invoke(SimpleChain.java:83)
       at org.apache.axis.server.AxisServer.invoke(AxisServer.java:248)
       at
org.globus.wsrf.container.ServiceThread.doPost(ServiceThread.java:647)
       at org.globus.wsrf.container.ServiceThread.process
(ServiceThread.java:378)
       at org.globus.wsrf.container.GSIServiceThread.process
(GSIServiceThread.java:124)
       at org.globus.wsrf.container.ServiceThread.run(ServiceThread.java:281)

       {http://xml.apache.org/axis/}hostname:hcp093

org.globus.wsrf.impl.security.authorization.exceptions.AuthorizationException: 
Policy decision failed [Caused by: No gridmap file]
       at org.apache.axis.message.SOAPFaultBuilder.createFault
(SOAPFaultBuilder.java:221)
       at org.apache.axis.message.SOAPFaultBuilder.endElement
(SOAPFaultBuilder.java:128)
       at org.apache.axis.encoding.DeserializationContext.endElement
(DeserializationContext.java:1087)
       at org.apache.xerces.parsers.AbstractSAXParser.endElement(Unknown
Source)
       at org.apache.xerces.impl.XMLNSDocumentScannerImpl.scanEndElement
(Unknown Source)
       at 
org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.
dispatch(Unknown Source)
       at org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument
(Unknown Source)
       at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
       at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
       at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
       at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
       at javax.xml.parsers.SAXParser.parse(Unknown Source)
       at org.apache.axis.encoding.DeserializationContext.parse
(DeserializationContext.java:227)
       at org.apache.axis.SOAPPart.getAsSOAPEnvelope(SOAPPart.java:645)
       at org.apache.axis.Message.getSOAPEnvelope(Message.java:424)
       at 
org.apache.axis.message.addressing.handler.AddressingHandler.processClientRespon
se(AddressingHandler.java:305)
       at org.apache.axis.message.addressing.handler.AddressingHandler.invoke
(AddressingHandler.java:110)
       at org.apache.axis.strategies.InvocationStrategy.visit
(InvocationStrategy.java:32)
       at org.apache.axis.SimpleChain.doVisiting(SimpleChain.java:118)
       at org.apache.axis.SimpleChain.invoke(SimpleChain.java:83)
       at org.apache.axis.client.AxisClient.invoke(AxisClient.java:190)
       at org.apache.axis.client.Call.invokeEngine(Call.java:2726)
       at org.apache.axis.client.Call.invoke(Call.java:2709)
       at org.apache.axis.client.Call.invoke(Call.java:2385)
       at org.apache.axis.client.Call.invoke(Call.java:2308)
       at org.apache.axis.client.Call.invoke(Call.java:1765)
       at 
org.globus.rft.generated.bindings.ReliableFileTransferFactoryPortTypeSOAPBinding
Stub.createReliableFileTransfer
(ReliableFileTransferFactoryPortTypeSOAPBindingStub.java:874)
       at org.globus.transfer.reliable.client.BaseRFTClient.createRFT
(BaseRFTClient.java:208)
       at org.globus.transfer.reliable.client.ReliableFileTransferClient.main
(ReliableFileTransferClient.java:170)
       at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
       at sun.reflect.NativeMethodAccessorImpl.invoke
(NativeMethodAccessorImpl.java:85)
       at sun.reflect.NativeMethodAccessorImpl.invoke
(NativeMethodAccessorImpl.java:58)
       at sun.reflect.DelegatingMethodAccessorImpl.invoke
(DelegatingMethodAccessorImpl.java:60)
       at java.lang.reflect.Method.invoke(Method.java:391)
       at org.globus.bootstrap.BootstrapBase.launch(BootstrapBase.java:92)
       at org.globus.bootstrap.Bootstrap.main(Bootstrap.java:34)
------- Comment #15 From 2005-04-08 12:56:15 -------
Thats because handling of gridmap-file has been changed in the trunk and RFT
has been updated to 
that effect. Look at bug  2743 for more details. In general it is not good to
test rft from trunk without 
updating the dependencies 
------- Comment #16 From 2005-04-11 14:17:28 -------
Please re-open if you think this is still a problem.